<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>yd-csf</artifactId>
        <groupId>com.yd</groupId>
        <version>1.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>yd-csf-service</artifactId>

    <dependencies>
        <!-- 公共工具类 -->
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>2.11.0</version>
        </dependency>

        <!-- itextpdf -->
        <dependency>
            <groupId>com.github.librepdf</groupId>
            <artifactId>openpdf</artifactId>
            <version>1.3.30</version>
        </dependency>

        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>easyexcel</artifactId>
            <version>3.3.2</version>
        </dependency>

        <!-- gson -->
        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
        </dependency>

        <!-- knife4j -->
        <dependency>
            <groupId>com.github.xiaoymin</groupId>
            <artifactId>knife4j-openapi3-spring-boot-starter</artifactId>
            <version>4.3.0</version>
        </dependency>

        <!-- https://hutool.cn/docs/index.html#/-->
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>5.8.8</version>
        </dependency>

        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-boot-starter</artifactId>
        </dependency>

        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-generator</artifactId>
        </dependency>

        <!-- MyBatis Plus 扩展功能 -->
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-extension</artifactId>
        </dependency>

        <!-- 阿里数据库连接池 -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid-spring-boot-starter</artifactId>
        </dependency>

        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>

        <dependency>
            <groupId>p6spy</groupId>
            <artifactId>p6spy</artifactId>
        </dependency>

        <dependency>
            <groupId>org.freemarker</groupId>
            <artifactId>freemarker</artifactId>
        </dependency>

        <dependency>
            <groupId>com.yd</groupId>
            <artifactId>yd-csf-feign</artifactId>
        </dependency>
        <!-- yd-oss-feign模块 -->
        <dependency>
            <groupId>com.yd</groupId>
            <artifactId>yd-oss-feign</artifactId>
            <version>${project.version}</version>
        </dependency>
        <!-- yd-product-feign模块 -->
        <dependency>
            <groupId>com.yd</groupId>
            <artifactId>yd-product-feign</artifactId>
            <version>${project.version}</version>
        </dependency>

        <!-- 认证模块 -->
        <dependency>
            <groupId>com.yd</groupId>
            <artifactId>yd-auth-core</artifactId>
            <version>${project.version}</version>
        </dependency>
        <!-- 框架配置模块 -->
        <dependency>
            <groupId>com.yd</groupId>
            <artifactId>yd-framework</artifactId>
            <version>${project.version}</version>
        </dependency>
        <!-- Feign组件配置模块 -->
        <dependency>
            <groupId>com.yd</groupId>
            <artifactId>yd-feign</artifactId>
            <version>${project.version}</version>
        </dependency>
        <!-- 添加AOP依赖 -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-aop</artifactId>
        </dependency>
    </dependencies>
</project>
